Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Class I2PClientMessageHandlerMap

    java.lang.Object
      net.i2p.client.I2PClientMessageHandlerMap

Direct Known Subclasses:
  I2PSimpleSession.SimpleMessageHandlerMap

     class I2PClientMessageHandlerMap

extends Object

Contains a map of message handlers that a session will want to use

Author:
  jrandom

Field Summary
`protected I2CPMessageHandler[]` | `_handlers` map of message type id --> I2CPMessageHandler

Constructor Summary
`I2PClientMessageHandlerMap()` for extension
`I2PClientMessageHandlerMap(I2PAppContext context)`

Method Summary
`I2CPMessageHandler` | `getHandler(int messageTypeId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _handlers

    protected I2CPMessageHandler[] _handlers

  map of message type id --> I2CPMessageHandler

Constructor Detail

### I2PClientMessageHandlerMap

    public I2PClientMessageHandlerMap()

  for extension

### I2PClientMessageHandlerMap

    public I2PClientMessageHandlerMap(I2PAppContext context)

Method Detail

### getHandler

    public I2CPMessageHandler getHandler(int messageTypeId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD